org.apache.poi.hemf.record.emf

## Class HemfPenStyle

- java.lang.Object
- - org.apache.poi.hwmf.record.HwmfPenStyle
  - - org.apache.poi.hemf.record.emf.HemfPenStyle

- All Implemented Interfaces:
    Duplicatable, GenericRecord

      public class HemfPenStyle
      extends HwmfPenStyle

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.poi.hwmf.record.HwmfPenStyle

      `HwmfPenStyle.HwmfLineCap, HwmfPenStyle.HwmfLineDash, HwmfPenStyle.HwmfLineJoin`

  - ### Field Summary

    - ### Fields inherited from class org.apache.poi.hwmf.record.HwmfPenStyle

      `flag, SUBSECTION_ALTERNATE, SUBSECTION_DASH, SUBSECTION_ENDCAP, SUBSECTION_GEOMETRIC, SUBSECTION_JOIN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HemfPenStyle(HemfPenStyle other)`
    `HemfPenStyle(int flag)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `HemfPenStyle` | `copy()`
    `float[]` | `getLineDashes()` Convienence method which should be used instead of accessing `HwmfPenStyle.HwmfLineDash.dashes` directly, so an subclass can provide user-style dashes
    `void` | `setLineDashes(float[] dashPattern)`
    `static HemfPenStyle` | `valueOf(HwmfPenStyle.HwmfLineCap cap, HwmfPenStyle.HwmfLineJoin join, HwmfPenStyle.HwmfLineDash dash, boolean isAlternateDash, boolean isGeometric)`
    `static HemfPenStyle` | `valueOf(int flag)`

    - ### Methods inherited from class org.apache.poi.hwmf.record.HwmfPenStyle

      `getGenericProperties, getLineCap, getLineDash, getLineJoin, isAlternateDash, isGeometric, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.poi.common.usermodel.GenericRecord

      `getGenericChildren, getGenericRecordType`

- - ### Constructor Detail

    - #### HemfPenStyle

          public HemfPenStyle(int flag)

    - #### HemfPenStyle

          public HemfPenStyle(HemfPenStyle other)

  - ### Method Detail

    - #### valueOf

          public static HemfPenStyle valueOf(HwmfPenStyle.HwmfLineCap cap,
                                             HwmfPenStyle.HwmfLineJoin join,
                                             HwmfPenStyle.HwmfLineDash dash,
                                             boolean isAlternateDash,
                                             boolean isGeometric)

    - #### valueOf

          public static HemfPenStyle valueOf(int flag)

    - #### getLineDashes

          public float[] getLineDashes()

      Description copied from class: `HwmfPenStyle`
      Convienence method which should be used instead of accessing `HwmfPenStyle.HwmfLineDash.dashes` directly, so an subclass can provide user-style dashes
      Overrides:
        `getLineDashes` in class `HwmfPenStyle`
      Returns:
        the dash pattern

    - #### setLineDashes

          public void setLineDashes(float[] dashPattern)

    - #### copy

          public HemfPenStyle copy()

      Specified by:
        `copy` in interface `Duplicatable`
      Overrides:
        `copy` in class `HwmfPenStyle`
      Returns:
        a deep copy of the implementing class / instance

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.